--- R-2.10.1/src/modules/lapack/dlapack3.f.orig	Mon Mar 26 18:42:12 2007
+++ R-2.10.1/src/modules/lapack/dlapack3.f	Sat Dec 19 04:56:32 2009
@@ -65,10 +65,6 @@
       LOGICAL            UPPER
       INTEGER            I, IINFO, IJ, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DORG2L, DORG2R, XERBLA
 *     ..
@@ -252,10 +248,6 @@
       INTEGER            I, I1, I2, I3, IC, II, JC, MI, NI, NQ
       DOUBLE PRECISION   AII
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARF, XERBLA
 *     ..
@@ -482,7 +474,7 @@
       INTEGER            I, II, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLARF, DSCAL, XERBLA
+      EXTERNAL           DLARF, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -609,7 +601,7 @@
       INTEGER            I, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLARF, DSCAL, XERBLA
+      EXTERNAL           DLARF, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -776,9 +768,8 @@
       INTEGER            I, IINFO, J, LWKOPT, MN, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DORGLQ, DORGQR, XERBLA
@@ -1145,7 +1136,7 @@
       INTEGER            I, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLARF, DSCAL, XERBLA
+      EXTERNAL           DLARF, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -1932,7 +1923,7 @@
       INTEGER            I, II, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLARF, DSCAL, XERBLA
+      EXTERNAL           DLARF, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -2295,9 +2286,8 @@
       INTEGER            I, IINFO, J, LWKOPT, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DORGQL, DORGQR, XERBLA
@@ -2501,10 +2491,6 @@
       INTEGER            I, I1, I2, I3, MI, NI, NQ
       DOUBLE PRECISION   AII
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARF, XERBLA
 *     ..
@@ -2694,10 +2680,6 @@
       INTEGER            I, I1, I2, I3, IC, JC, MI, NI, NQ
       DOUBLE PRECISION   AII
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARF, XERBLA
 *     ..
@@ -2918,9 +2900,8 @@
       INTEGER            I1, I2, IINFO, LWKOPT, MI, NB, NI, NQ, NW
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DORMLQ, DORMQR, XERBLA
@@ -3179,9 +3160,8 @@
       INTEGER            I1, I2, IINFO, LWKOPT, MI, NB, NH, NI, NQ, NW
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DORMQR, XERBLA
@@ -3373,10 +3353,6 @@
       INTEGER            I, I1, I2, I3, IC, JC, MI, NI, NQ
       DOUBLE PRECISION   AII
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARF, XERBLA
 *     ..
@@ -3583,9 +3559,8 @@
       DOUBLE PRECISION   T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARFB, DLARFT, DORML2, XERBLA
@@ -3849,9 +3824,8 @@
       DOUBLE PRECISION   T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARFB, DLARFT, DORM2L, XERBLA
@@ -4110,9 +4084,8 @@
       DOUBLE PRECISION   T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARFB, DLARFT, DORM2R, XERBLA
@@ -4358,10 +4331,6 @@
       INTEGER            I, I1, I2, I3, MI, NI, NQ
       DOUBLE PRECISION   AII
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARF, XERBLA
 *     ..
@@ -4557,10 +4526,6 @@
       LOGICAL            LEFT, NOTRAN
       INTEGER            I, I1, I2, I3, IC, JA, JC, MI, NI, NQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARZ, XERBLA
 *     ..
@@ -4770,9 +4735,8 @@
       DOUBLE PRECISION   T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARFB, DLARFT, DORMR2, XERBLA
@@ -5049,9 +5013,8 @@
       DOUBLE PRECISION   T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLARZB, DLARZT, DORMR3, XERBLA
@@ -5322,9 +5285,8 @@
       INTEGER            I1, I2, IINFO, LWKOPT, MI, NB, NI, NQ, NW
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DORMQL, DORMQR, XERBLA
@@ -5525,10 +5487,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLATBS, DRSCL, XERBLA
@@ -5711,10 +5671,6 @@
       INTEGER            I, J
       DOUBLE PRECISION   SMIN
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA
 *     ..
@@ -5924,15 +5880,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DPBTRS, DSBMV, XERBLA
+      EXTERNAL           DLACN2, DPBTRS, DSBMV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -6247,12 +6202,8 @@
       INTEGER            J, KLD, KM, M
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSYR, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN, SQRT
@@ -6487,12 +6438,8 @@
       INTEGER            J, KLD, KN
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSYR, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN, SQRT
@@ -6683,12 +6630,11 @@
       DOUBLE PRECISION   WORK( LDWORK, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DPBTF2, DPOTF2, DSYRK, DTRSM, XERBLA
+      EXTERNAL           DPBTF2, DPOTF2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -7013,10 +6959,6 @@
       LOGICAL            UPPER
       INTEGER            J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DTBSV, XERBLA
 *     ..
@@ -7169,10 +7111,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLATRS, DRSCL, XERBLA
@@ -7528,15 +7468,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DPOTRS, DSYMV, XERBLA
+      EXTERNAL           DLACN2, DPOTRS, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -7807,13 +7746,8 @@
       INTEGER            J
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DSCAL, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, SQRT
@@ -7972,12 +7906,11 @@
       INTEGER            J, JB, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DPOTF2, DSYRK, DTRSM, XERBLA
+      EXTERNAL           DPOTF2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -8134,10 +8067,6 @@
 *
 *  =====================================================================
 *
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAUUM, DTRTRI, XERBLA
 *     ..
@@ -8243,12 +8172,8 @@
 *     .. Local Scalars ..
       LOGICAL            UPPER
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DTRSM, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -8392,10 +8317,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLATPS, DRSCL, XERBLA
@@ -8562,10 +8485,6 @@
       INTEGER            I, JJ
       DOUBLE PRECISION   SMIN
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA
 *     ..
@@ -8775,15 +8694,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DPPTRS, DSPMV, XERBLA
+      EXTERNAL           DLACN2, DPPTRS, DSPMV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -9067,13 +8985,8 @@
       INTEGER            J, JC, JJ
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSPR, DTPSV, XERBLA
+      EXTERNAL           DSPR, DTPSV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          SQRT
@@ -9221,13 +9134,8 @@
       INTEGER            J, JC, JJ, JJN
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSPR, DTPMV, DTPTRI, XERBLA
+      EXTERNAL           DSPR, DTPMV, DTPTRI, XERBLA
 *     ..
 *     .. Executable Statements ..
 *
@@ -9350,10 +9258,6 @@
       LOGICAL            UPPER
       INTEGER            I
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DTPSV, XERBLA
 *     ..
@@ -9495,10 +9399,6 @@
       INTEGER            I, IX
       DOUBLE PRECISION   AINVNM
 *     ..
-*     .. External Functions ..
-      INTEGER            IDAMAX
-      EXTERNAL           IDAMAX
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA
 *     ..
@@ -9667,10 +9567,6 @@
       DOUBLE PRECISION   ZERO, ONE
       PARAMETER          ( ZERO = 0.0D0, ONE = 1.0D0 )
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DBDSQR, DLASET, DPTTRF, XERBLA
 *     ..
@@ -9867,15 +9763,14 @@
      $                   SAFMIN
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DPTTRS, XERBLA
+      EXTERNAL           DPTTRS, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           IDAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -10316,12 +10211,11 @@
       DOUBLE PRECISION   ANORM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH, DLANST
-      EXTERNAL           LSAME, DLAMCH, DLANST
+      EXTERNAL           DLAMCH, DLANST
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLACPY, DPTCON, DPTRFS, DPTTRF, DPTTRS,
+      EXTERNAL           DLACPY, DPTCON, DPTRFS, DPTTRF, DPTTRS,
      $                   XERBLA
 *     ..
 *     .. Intrinsic Functions ..
@@ -10717,9 +10611,6 @@
 *     .. Local Scalars ..
       INTEGER            I, J
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DSCAL
-*     ..
 *     .. Executable Statements ..
 *
 *     Quick return if possible
@@ -10852,13 +10743,9 @@
      $                   KA1, KB1, KBT, L, M, NR, NRT, NX
       DOUBLE PRECISION   BII, RA, RA1, T
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGER, DLAR2V, DLARGV, DLARTG, DLARTV, DLASET,
-     $                   DROT, DSCAL, XERBLA
+      EXTERNAL           DLAR2V, DLARGV, DLARTG, DLARTV, DLASET,
+     $                   XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -12203,16 +12090,12 @@
       DOUBLE PRECISION   TEMP
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLAR2V, DLARGV, DLARTG, DLARTV, DLASET, DROT,
+      EXTERNAL           DLAR2V, DLARGV, DLARTG, DLARTV, DLASET,
      $                   XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
 *     Test the input parameters
@@ -12731,10 +12614,6 @@
 *     .. Local Arrays ..
       INTEGER            ISAVE( 3 )
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DSPTRS, XERBLA
 *     ..
@@ -12887,14 +12766,9 @@
       DOUBLE PRECISION   AJJ, AKK, BJJ, BKK, CT
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DSCAL, DSPMV, DSPR2, DTPMV, DTPSV,
+      EXTERNAL           DSPMV, DSPR2, DTPMV, DTPSV,
      $                   XERBLA
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. Executable Statements ..
 *
 *     Test the input parameters.
@@ -13144,15 +13018,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DSPMV, DSPTRS, XERBLA
+      EXTERNAL           DLACN2, DSPMV, DSPTRS, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -13462,13 +13335,8 @@
       DOUBLE PRECISION   ALPHA, TAUI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DLARFG, DSPMV, DSPR2, XERBLA
+      EXTERNAL           DLARFG, DSPMV, DSPR2, XERBLA
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. Executable Statements ..
 *
 *     Test the input parameters
@@ -13705,13 +13573,8 @@
       DOUBLE PRECISION   ABSAKK, ALPHA, COLMAX, D11, D12, D21, D22, R1,
      $                   ROWMAX, T, WK, WKM1, WKP1
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
-      EXTERNAL           LSAME, IDAMAX
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSPR, DSWAP, XERBLA
+      EXTERNAL           DSPR, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
@@ -14200,13 +14063,8 @@
       INTEGER            J, K, KC, KCNEXT, KP, KPC, KSTEP, KX, NPP
       DOUBLE PRECISION   AK, AKKP1, AKP1, D, T, TEMP
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DSPMV, DSWAP, XERBLA
+      EXTERNAL           DSPMV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS
@@ -14534,12 +14392,8 @@
       INTEGER            J, K, KC, KP
       DOUBLE PRECISION   AK, AKM1, AKM1K, BK, BKM1, DENOM
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DGER, DSCAL, DSWAP, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -15034,10 +14888,9 @@
       INTEGER            IDUMMA( 1 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, ILAENV, DLAMCH
+      EXTERNAL           ILAENV, DLAMCH
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAEBZ, XERBLA
@@ -15793,12 +15646,11 @@
       INTEGER            ISEED( 4 )
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM, DDOT, DLAMCH, DNRM2
-      EXTERNAL           IDAMAX, DASUM, DDOT, DLAMCH, DNRM2
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLAGTF, DLAGTS, DLARNV, DSCAL,
+      EXTERNAL           DLAGTF, DLAGTS, DLARNV,
      $                   XERBLA
 *     ..
 *     .. Intrinsic Functions ..
@@ -16126,13 +15978,12 @@
      $                   S, SAFMAX, SAFMIN, SSFMAX, SSFMIN, TST
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH, DLANST, DLAPY2
-      EXTERNAL           LSAME, DLAMCH, DLANST, DLAPY2
+      EXTERNAL           DLAMCH, DLANST, DLAPY2
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAE2, DLAEV2, DLARTG, DLASCL, DLASET, DLASR,
-     $                   DLASRT, DSWAP, XERBLA
+     $                   DLASRT, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SIGN, SQRT
@@ -16981,10 +16832,6 @@
 *     .. Local Arrays ..
       INTEGER            ISAVE( 3 )
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DSYTRS, XERBLA
 *     ..
@@ -17146,15 +16993,11 @@
       DOUBLE PRECISION   AKK, BKK, CT
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DSCAL, DSYR2, DTRMV, DTRSV, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
 *     Test the input parameters.
@@ -17356,15 +17199,14 @@
       INTEGER            K, KB, NB
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSYGS2, DSYMM, DSYR2K, DTRMM, DTRSM, XERBLA
+      EXTERNAL           DSYGS2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. Executable Statements ..
 *
@@ -17653,15 +17495,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DSYMV, DSYTRS, XERBLA
+      EXTERNAL           DLACN2, DSYTRS, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -17989,13 +17830,8 @@
       DOUBLE PRECISION   ALPHA, TAUI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DLARFG, DSYMV, DSYR2, XERBLA
+      EXTERNAL           DLARFG, XERBLA
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
 *     ..
@@ -18251,12 +18087,11 @@
      $                   ROWMAX, T, WK, WKM1, WKP1
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME, DISNAN
-      INTEGER            IDAMAX
-      EXTERNAL           LSAME, IDAMAX, DISNAN
+      LOGICAL            DISNAN
+      EXTERNAL           DISNAN
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSWAP, DSYR, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
@@ -18770,15 +18605,14 @@
      $                   NBMIN, NX
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLATRD, DSYR2K, DSYTD2, XERBLA
+      EXTERNAL           DLATRD, DSYTD2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. Executable Statements ..
 *
@@ -19055,9 +18889,8 @@
       INTEGER            IINFO, IWS, J, K, KB, LDWORK, LWKOPT, NB, NBMIN
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLASYF, DSYTF2, XERBLA
@@ -19284,13 +19117,8 @@
       INTEGER            K, KP, KSTEP
       DOUBLE PRECISION   AK, AKKP1, AKP1, D, T, TEMP
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DSWAP, DSYMV, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
@@ -19596,12 +19424,8 @@
       INTEGER            J, K, KP
       DOUBLE PRECISION   AK, AKM1, AKM1K, BK, BKM1, DENOM
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DGER, DSCAL, DSWAP, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -19988,10 +19812,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH, DLANTB
-      EXTERNAL           LSAME, IDAMAX, DLAMCH, DLANTB
+      EXTERNAL           DLAMCH, DLANTB
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLATBS, DRSCL, XERBLA
@@ -20219,15 +20041,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DTBMV, DTBSV, XERBLA
+      EXTERNAL           DLACN2, DTBMV, DTBSV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -20570,10 +20391,6 @@
       LOGICAL            NOUNIT, UPPER
       INTEGER            J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DTBSV, XERBLA
 *     ..
@@ -20876,12 +20693,11 @@
      $                   SUMP( 2, 2 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DLABAD, DLACPY, DLAG2, DLALN2, XERBLA
+      EXTERNAL           DLABAD, DLACPY, DLAG2, DLALN2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -23225,13 +23041,9 @@
       DOUBLE PRECISION   A1, A2, A3, B1, B2, B3, CSQ, CSU, CSV, ERROR,
      $                   GAMMA, RWK, SNQ, SNU, SNV, SSMIN
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLAGS2, DLAPLL, DLARTG, DLASET, DROT,
-     $                   DSCAL, XERBLA
+      EXTERNAL           DLAGS2, DLAPLL, DLARTG, DLASET,
+     $                   XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -23768,12 +23580,11 @@
       DOUBLE PRECISION   DUMMY( 1 ), DUMMY1( 1 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT, DLAMCH, DLAPY2, DNRM2
-      EXTERNAL           LSAME, DDOT, DLAMCH, DLAPY2, DNRM2
+      DOUBLE PRECISION   DLAMCH, DLAPY2
+      EXTERNAL           DLAMCH, DLAPY2
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DLACPY, DLAG2, DTGEXC, DTGSYL, XERBLA
+      EXTERNAL           DLACPY, DLAG2, DTGEXC, DTGSYL, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN, SQRT
@@ -24256,12 +24067,11 @@
       DOUBLE PRECISION   DSCALE, DSUM, SCALE2, SCALOC
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DLACPY, DLASET, DSCAL, DTGSY2, XERBLA
+      EXTERNAL           DLACPY, DLASET, DTGSY2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, MAX, SQRT
@@ -24691,10 +24501,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH, DLANTP
-      EXTERNAL           LSAME, IDAMAX, DLAMCH, DLANTP
+      EXTERNAL           DLAMCH, DLANTP
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLATPS, DRSCL, XERBLA
@@ -24911,15 +24719,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DTPMV, DTPSV, XERBLA
+      EXTERNAL           DLACN2, DTPMV, DTPSV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -25251,12 +25058,8 @@
       INTEGER            J, JC, JCLAST, JJ
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DTPMV, XERBLA
+      EXTERNAL           DTPMV, XERBLA
 *     ..
 *     .. Executable Statements ..
 *
@@ -25429,10 +25232,6 @@
       LOGICAL            NOUNIT, UPPER
       INTEGER            J, JC
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DTPSV, XERBLA
 *     ..
